> For a complete page index, fetch https://developer.close.com/llms.txt # Get a single Lead Export GET https://api.close.com/api/v1/export/lead/{id}/ Get a single lead export to do things like check its `status` or get a `download_url`. `status` can have one of these values: `created`, `started`, `in_progress`, `done`, `error`. Reference: https://developer.close.com/api/resources/exports/get-lead ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ### Query parameters - `_fields` (string, optional) — Comma-separated list of fields to include in the response. ## Response ### 200 Successful response - `created_by` (string, required, nullable) - `date_created` (datetime, required) - `date_format` (enum, required) - Allowed values: `original`, `iso8601`, `excel` - `date_updated` (datetime, required) - `download_url` (string, required, nullable) - `fields` (list of string, required) - `format` (enum, required) - Allowed values: `csv`, `json` - `id` (string, required) - `n_docs` (integer, required, nullable) - `n_docs_processed` (integer, required) - `organization_id` (string, required) - `send_done_email` (boolean, required) - `status` (enum, required) - Allowed values: `created`, `started`, `in_progress`, `done`, `error` - `type` (enum, required) - Allowed values: `leads`, `contacts`, `lead_opps`, `opps`, `opportunities` - `updated_by` (string, required, nullable) - `limit` (integer, optional, nullable) - `params` (map from string to Json, optional, nullable) - `query` (string, optional, nullable) - `results_limit` (integer, optional, nullable) - `s_query` (map from string to Json, optional, nullable) - `sort` (list of map from string to Json, optional, nullable) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Types ### Json ## Examples **Response** ```json { "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2014-04-02T15:00:05.190000+00:00", "date_format": "iso8601", "date_updated": "2014-04-02T23:36:30.719000+00:00", "download_url": "https://close-exports.s3.amazonaws.com/expo_yasd512lkhIhxrvLG8iVupzjoJVRPgrGhJ0A0b3bae.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=60&X-Amz-Signature=EXAMPLE", "fields": [ "addresses", "contacts", "created_by", "created_by_name", "custom", "date_created", "date_updated", "description", "display_name", "id", "name", "status_id", "status_label", "updated_by", "updated_by_name", "url" ], "format": "csv", "id": "expo_yasd512lkhIhxrvLG8iVupzjoJVRPgrGhJ0A0b3bae", "n_docs": 100000, "n_docs_processed": 100000, "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk", "send_done_email": false, "status": "done", "type": "leads", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "results_limit": null, "s_query": { "queries": [ { "object_type": "lead", "type": "object_type" }, { "condition": { "mode": "full_words", "type": "text", "value": "ACME Inc." }, "field": { "field_name": "name", "object_type": "lead", "type": "regular_field" }, "type": "field_condition" } ], "type": "and" }, "sort": [] } ``` **SDK Code** ```python exports_getLead_example import requests url = "https://api.close.com/api/v1/export/lead/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript exports_getLead_example const url = 'https://api.close.com/api/v1/export/lead/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go exports_getLead_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/export/lead/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby exports_getLead_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/export/lead/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java exports_getLead_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/export/lead/id/") .basicAuth("", "") .asString(); ``` ```php exports_getLead_example request('GET', 'https://api.close.com/api/v1/export/lead/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp exports_getLead_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/export/lead/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```